Skip to main content
GET
/
resources
/
{resource_token}
Get resource by token
curl --request GET \
  --url https://api.vantage.sh/v2/resources/{resource_token} \
  --header 'Authorization: Bearer <token>'
{
  "token": "prvdr_rsrc_99a293db073a2e99",
  "uuid": "e930c92f-5449-4eaf-9ef5-4f714da1ab45",
  "type": "aws_instance",
  "label": "Faker::Business",
  "metadata": {
    "instance_id": null,
    "image_id": null,
    "region": null,
    "vpc_id": null,
    "subnet_id": null,
    "public_ip_address": null,
    "private_ip_address": null,
    "public_dns_name": null,
    "instance_type": null,
    "platform": null,
    "spot_instance_request_id": null,
    "launch_time": 1728479795,
    "instance_lifecycle": null,
    "name": null,
    "platform_type": "Linux/UNIX",
    "spot_info": null,
    "spot_price": null,
    "datadog_agent_installed": null,
    "network_interfaces": null,
    "tags": null,
    "instance_type_name": "t2.micro",
    "lifecycle": "normal"
  },
  "account_id": "565894339657",
  "billing_account_id": "565894339657",
  "provider": "aws",
  "region": "us-east-1",
  "costs": [
    {
      "category": "Data Transfer",
      "amount": 3
    },
    {
      "category": "Compute Instance",
      "amount": 3
    }
  ],
  "created_at": "2024-10-09T13:16:35.719Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

resource_token
string
required

Query Parameters

include_cost
boolean

Include cost information in the response.

Response

200 - application/json

Resource model

token
string
required
uuid
string
required

The unique identifier for the resource.

Example:

"i-0a1b2c3d4e5f6g7h8"

type
string
required

The kind of resource.

Example:

"aws_instance"

label
string | null
required
metadata
object
required

Type-specific attributes of the resource.

account_id
string | null
required

The provider account where the resource is located.

billing_account_id
string | null
required

The provider billing account this resource is charged to.

provider
string
required

The provider of the resource.

Example:

"aws"

region
string | null
required

The region where the resource is located. Region values are specific to each provider.

Example:

"us-west-2"

created_at
string
required

The date and time when Vantage first observed the resource.

tags
object
required

Key-value pairs of tags associated with the resource.

costs
object[]

The cost of the resource broken down by category.